Skocz do zawartości
  • Przeglądający   0 użytkowników

    Brak zarejestrowanych użytkowników, przeglądających tę stronę.

Marcin_k7

Plugin Hide content from Guest MyBB - Can't use function return value

Promowane odpowiedzi

Witam. Po wgraniu pluginu  "Hide content from guest" w ACP wyskakuje mi błąd: 

Fatal error: Can't use function return value in write context in /home/centrum/public_html/forum/inc/plugins/hidecontent.php on line 85

Czym może być to spowodowane? W jaki sposób to naprawić? Generalnie rozchodzi mi się o to, aby ukryć zawartość forum dla gości, od razu powiem, że nie interesuje mnie edycja uprawnień grupy i odhaczanie możliwości przeglądania wątków, ponieważ powoduje to całkowite ukrycie wszystkich wątków, nazw tematów,  autorów... na stronie głównej. Chciałbym, aby to wszystko było widoczne, jedynie dopiero po wejściu w dany temat, żeby wyskakiwał komunikat z brakiem dostępu i koniecznością zalogowania. Z góry dziękuje za odpowiedz, pozdrawiam;) 

 

 

 

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

@ENDRULA Podał link do pluginu, pobierz i sprawdź przecież nie będzie przesyłał tutaj całego kodu.

 

@Marcin_k7 Którą wersję pluginu wgrałeś? 4.2 czy 4.3? 

  • Wrr 2

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

@SimLay Nie działa. Plugin ładuje się poprawnie, podobnie jak z tym "Hide content...." w wersji 4.3 (w 4,2 wyskakuje błąd), ale przeglądając forum z "perspektywy gościa", nie widać żadnej różnicy...wszystkie tematy, posty wyświetlają się normalnie, nie ma konieczności logowania.... 

Edytowane przez Marcin_k7

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

W takim razie jestem pewien, ze błąd leży gdzieś po twojej stronie/silnika, bo posiadam u siebie najnowszą wersję mybb jak i tego pluginu i działa poprawnie.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Nie za bardzo jestem obeznany w temacie....Jaką wersje polecacie? Obecnie na forum posiadam 5.4.45

W panelu mam do wyboru:

 zmiana na php w wersji 5.5 (5.5.32)
 zmiana na php w wersji 5.6 (5.6.34)
 zmiana na php w wersji 7.0 (7.0.28)
 zmiana na php w wersji 7.1 (7.1.15)
 zmiana na php w wersji 7.2 (7.2.3) 

 

Czy zmieniając np. na najwyższą, nie wpłynie to na ogólne funkcjonowanie strony? czy coś może przestać działać?

 

 

Edytowane przez Marcin_k7

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Stare wersje pluginów mogą przestać działać, nie dowiesz się dopóki nie spróbujesz.

Zawsze możesz wrócić do poprzedniej wersji PHP.

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

A jeżeli zmiana wersji php nie pomaga? W czym może być problem? W jaki sposób zablokować możliwość przeglądania zawartości strony/postów osobom niezalogowanym? 

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

@Mendelson.  W pierwszym poście napisałem, że to rozwiązanie o którym mówisz, mnie nie interesuje, z tego względu, że powoduje ono całkowite ukrycie wszystkich autorów, nazw tematów...na stronie głównej.

 

Forum.png

 

Chciałbym, żeby to wszystko było widoczne dla "gości", jedynie po wejściu w dany temat, żeby pojawiał się komunikat z brakiem dostępu i koniecznością zalogowania.

Edytowane przez Marcin_k7

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Nie wiem co Ciebie tak rozśmieszyło...nie jestem jakimś specjalistą w tej "branży", dlatego przyszedłem zapytać się Was, osób które siedzą w tym dłużej i prawdopodobnie posiadają dużo więcej wiedzy niż ja. Zamiast wytłumaczyć wprost, konkretnie w jaki sposób rozwiązać problem, jak zablokować ten dostęp do zawartości strony/forum dla niezalogowanych...to o jakieś screeny prosisz, które tak na prawdę chyba nie są aż tak istotne?...

Zrobiłem to co potrafiłem, a moja wiedza ograniczała się do tego... że zmieniłem jedynie uprawnienia grupy "goście" (w uprawnieniach grupy, w zakładce "działy i posty" odhaczyłem "przeglądanie wątków"). 

gggg.png

  • Lubię to! 1

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach
11 godzin temu, Marcin_k7 napisał:

A jeżeli zmiana wersji php nie pomaga? 

A próbowałeś zmieniać? 

Udostępnij tego posta


Odnośnik do posta
Udostępnij na innych stronach

Jeśli chcesz dodać odpowiedź, zaloguj się lub zarejestruj nowe konto

Tylko zarejestrowani użytkownicy mogą komentować zawartość tej strony.

Utwórz konto

Utwórz konto. To darmowe i bardzo proste!

Zarejestruj nowe konto

Zaloguj się

Posiadasz już konto? Zaloguj się tutaj.

Zaloguj się teraz


×